Name:           python-pyxdf
Version:        1.16.5
Release:    1%{?dist}
Summary:        Python package for working with XDF files

License:        BSD-2-Clause
URL:            https://github.com/xdf-modules/pyxdf
Source0:        %{pypi_source pyxdf}
%global ex_commit 387ba537c3a0dd5da2c9a51c578c8f1296e3edeb
%global ex_url https://github.com/xdf-modules/example-files
Source1:        %{ex_url}/archive/%{ex_commit}/example-files-%{ex_commit}.tar.gz

Patch0:          %{url}/pull/98.patch

%global debug_package %{nil}
 
BuildRequires:  python3-devel

BuildRequires:  %{py3_dist pytest}

%global common_description %{expand:
pyXDF is a Python importer for XDF files.}

%description %{common_description}


%package -n     python3-pyxdf
Summary:        %{summary}

BuildArch:      noarch

%description -n python3-pyxdf %{common_description}


%prep
%autosetup -n pyxdf-%{version} -p1
%setup -q -n pyxdf-%{version} -T -D -b 1
ln -s ../example-files-%{ex_commit}/ example-files


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files pyxdf


%check
%pytest


%files -n python3-pyxdf -f %{pyproject_files}
%doc CHANGELOG.md
%doc README.md


%changelog
* Fri Jun 28 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - -1
- initial build
